#include<iostream.h> 
 int main()                                                  
{
 void trans(char *p); 
 const int N=81;
 char a[N];
 cout<<"请输入字符串："<<endl;
 cin.getline(a,N);
 trans(a);
 cout<<a<<endl;
 return(0);
}
 void trans(char *p) 
{
 int word;
 for(word=0;*p!='\0';p++)
 if(*p==' ')//遇到了空格
  word=0;
 else if(word==0)//遇到了单词的第一个字母
 {
  word=1;
  if(*p>='a'&&*p<='z')
   *p-=32;
 }
}
